/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * This code was generated by https://code.google.com/p/google-apis-client-generator/
 * (build: 2013-08-14 15:32:06 UTC)
 * on 2013-08-19 at 20:23:34 UTC 
 * Modify at your own risk.
 */

package com.google.api.services.coordinate.model;

/**
 * Custom field definition.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Google Maps Coordinate API. For a detailed
 * explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class CustomFieldDef extends com.google.api.client.json.GenericJson {

  /**
   * Whether the field is enabled.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.Boolean enabled;

  /**
   * Custom field id.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key @com.google.api.client.json.JsonString
  private java.lang.Long id;

  /**
   * Identifies this object as a custom field definition.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String kind;

  /**
   * Custom field name.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String name;

  /**
   * Whether the field is required for checkout.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.Boolean requiredForCheckout;

  /**
   * Custom field type.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String type;

  /**
   * Whether the field is enabled.
   * @return value or {@code null} for none
   */
  public java.lang.Boolean getEnabled() {
    return enabled;
  }

  /**
   * Whether the field is enabled.
   * @param enabled enabled or {@code null} for none
   */
  public CustomFieldDef setEnabled(java.lang.Boolean enabled) {
    this.enabled = enabled;
    return this;
  }

  /**
   * Custom field id.
   * @return value or {@code null} for none
   */
  public java.lang.Long getId() {
    return id;
  }

  /**
   * Custom field id.
   * @param id id or {@code null} for none
   */
  public CustomFieldDef setId(java.lang.Long id) {
    this.id = id;
    return this;
  }

  /**
   * Identifies this object as a custom field definition.
   * @return value or {@code null} for none
   */
  public java.lang.String getKind() {
    return kind;
  }

  /**
   * Identifies this object as a custom field definition.
   * @param kind kind or {@code null} for none
   */
  public CustomFieldDef setKind(java.lang.String kind) {
    this.kind = kind;
    return this;
  }

  /**
   * Custom field name.
   * @return value or {@code null} for none
   */
  public java.lang.String getName() {
    return name;
  }

  /**
   * Custom field name.
   * @param name name or {@code null} for none
   */
  public CustomFieldDef setName(java.lang.String name) {
    this.name = name;
    return this;
  }

  /**
   * Whether the field is required for checkout.
   * @return value or {@code null} for none
   */
  public java.lang.Boolean getRequiredForCheckout() {
    return requiredForCheckout;
  }

  /**
   * Whether the field is required for checkout.
   * @param requiredForCheckout requiredForCheckout or {@code null} for none
   */
  public CustomFieldDef setRequiredForCheckout(java.lang.Boolean requiredForCheckout) {
    this.requiredForCheckout = requiredForCheckout;
    return this;
  }

  /**
   * Custom field type.
   * @return value or {@code null} for none
   */
  public java.lang.String getType() {
    return type;
  }

  /**
   * Custom field type.
   * @param type type or {@code null} for none
   */
  public CustomFieldDef setType(java.lang.String type) {
    this.type = type;
    return this;
  }

  @Override
  public CustomFieldDef set(String fieldName, Object value) {
    return (CustomFieldDef) super.set(fieldName, value);
  }

  @Override
  public CustomFieldDef clone() {
    return (CustomFieldDef) super.clone();
  }

}
