/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * This code was generated by https://code.google.com/p/google-apis-client-generator/
 * (build: 2013-08-14 15:32:06 UTC)
 * on 2013-08-19 at 20:23:34 UTC 
 * Modify at your own risk.
 */

package com.google.api.services.coordinate.model;

/**
 * Response from a List Jobs request.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Google Maps Coordinate API. For a detailed
 * explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class JobListResponse extends com.google.api.client.json.GenericJson {

  /**
   * Jobs in the collection.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.util.List<Job> items;

  /**
   * Identifies this object as a list of jobs.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String kind;

  /**
   * A token to provide to get the next page of results.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String nextPageToken;

  /**
   * Jobs in the collection.
   * @return value or {@code null} for none
   */
  public java.util.List<Job> getItems() {
    return items;
  }

  /**
   * Jobs in the collection.
   * @param items items or {@code null} for none
   */
  public JobListResponse setItems(java.util.List<Job> items) {
    this.items = items;
    return this;
  }

  /**
   * Identifies this object as a list of jobs.
   * @return value or {@code null} for none
   */
  public java.lang.String getKind() {
    return kind;
  }

  /**
   * Identifies this object as a list of jobs.
   * @param kind kind or {@code null} for none
   */
  public JobListResponse setKind(java.lang.String kind) {
    this.kind = kind;
    return this;
  }

  /**
   * A token to provide to get the next page of results.
   * @return value or {@code null} for none
   */
  public java.lang.String getNextPageToken() {
    return nextPageToken;
  }

  /**
   * A token to provide to get the next page of results.
   * @param nextPageToken nextPageToken or {@code null} for none
   */
  public JobListResponse setNextPageToken(java.lang.String nextPageToken) {
    this.nextPageToken = nextPageToken;
    return this;
  }

  @Override
  public JobListResponse set(String fieldName, Object value) {
    return (JobListResponse) super.set(fieldName, value);
  }

  @Override
  public JobListResponse clone() {
    return (JobListResponse) super.clone();
  }

}
